python-openscap_1.2.8-1_amd64.deb


Advertisement

Description

python-openscap - Set of libraries enabling integration of the SCAP line of standards

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: python-openscap
Package version: 1.2.8
Package release: 1
Package architecture: amd64
Package type: deb
Installed size: 2.12 KB
Download size: 230.43 KB
Official Mirror: archive.ubuntu.com
OpenSCAP is a set of open source libraries providing an easier path for integration of the SCAP line of standards. SCAP is a line of standards managed by NIST with the goal of providing a standard language for the expression of Computer Network Defense related information. The intended scope of this project is to implement working interface wrappers for parsing and querying SCAP content including: * Common Vulnerabilities and Exposures (CVE) * Common Configuration Enumeration (CCE) * Common Platform Enumeration (CPE) * Common Vulnerability Scoring System (CVSS) * Extensible Configuration Checklist Description Format (XCCDF) * Open Vulnerability and Assessment Language (OVAL) This package contains the Python bindings for OpenSCAP.

Alternatives

Provides

  • python2.7-openscap

    Download

    Source package: openscap

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install python-openscap deb package:
      # sudo apt-get install python-openscap

    Files

    • /usr/lib/python2.7/dist-packages/_openscap_py.x86_64-linux-gnu.so
    • /usr/lib/python2.7/dist-packages/openscap.py
    • /usr/lib/python2.7/dist-packages/openscap_api.py
    • /usr/lib/python2.7/dist-packages/oscap_docker_python/__init__.py
    • /usr/lib/python2.7/dist-packages/oscap_docker_python/get_cve_input.py
    • /usr/lib/python2.7/dist-packages/oscap_docker_python/oscap_docker_util.py
    • /usr/share/doc/python-openscap/changelog.Debian.gz
    • /usr/share/doc/python-openscap/copyright

    Changelog

    2016-01-21 - Pierre Chifflier <pollux@debian.org> openscap (1.2.8-1) unstable; urgency=medium * Imported Upstream version 1.2.8

    2015-12-06 - Pierre Chifflier <pollux@debian.org> openscap (1.2.7-1) unstable; urgency=medium * Imported Upstream version 1.2.7 * Add libbz2-dev to build-deps * Refreshed quilt patches, removed 005_configure_dpkg_probe (fixed upstream)

    2015-09-26 - Pierre Chifflier <pollux@debian.org> openscap (1.2.5-1) unstable; urgency=medium * Imported Upstream version 1.2.5 * Use misc:pre-depends for multiarch-support

    2015-05-06 - Pierre Chifflier <pollux@debian.org> openscap (1.2.3-1) unstable; urgency=medium * Imported Upstream version 1.2.3 * Refreshed quilt patches * Update build-dep to libgcrypt-dev * Bump Standards Version to 3.9.6 * Add missing source for jQuery minified version (docs/html)

    2014-06-29 - Pierre Chifflier <pollux@debian.org> openscap (1.0.9-1) unstable; urgency=medium * Imported Upstream version 1.0.4 * Imported Upstream version 1.0.9 (Closes: #750702) * Refreshed quilt patches * Remove useless build-deps on python-support * Get Perl directories from the 'Config' module (Closes: #752801)

    2014-01-13 - Pierre Chifflier <pollux@debian.org> openscap (1.0.2-1) unstable; urgency=low * Imported Upstream version 1.0.2 * Refreshed quilt patches Removed 004_format_security.patch, merged upstream

    2013-12-30 - Pierre Chifflier <pollux@debian.org> openscap (1.0.1-2) unstable; urgency=low * Add conflicts/replaces on libopenscap3 (Closes: #733589)

    2013-12-28 - Pierre Chifflier <pollux@debian.org> openscap (1.0.1-1) unstable; urgency=low * Imported Upstream version 1.0.1 * Refreshed quilt patches * Bump Standards Version to 3.9.5 * Rename libopenscap3 to libopenscap8 to reflect soname change

    2013-10-06 - Pierre Chifflier <pollux@debian.org> openscap (0.9.12-1) unstable; urgency=low * Imported Upstream version 0.9.12 * Refreshed quilt patches

    2013-09-09 - Pierre Chifflier <pollux@debian.org> openscap (0.9.8-2) unstable; urgency=low * Mark package linux-any (Closes: #721862)

    Advertisement
    Advertisement